Bug 651602 (CVE-2010-3867) - CVE-2010-3867 proftpd: multiple directory traversal vulnerabilities
Summary: CVE-2010-3867 proftpd: multiple directory traversal vulnerabilities
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3867
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 651608
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-09 21:28 UTC by Vincent Danen
Modified: 2019-09-29 12:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-01 04:57:45 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-11-09 21:28:26 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3867 to
the following vulnerability:

Name: CVE-2010-3867
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3867
Assigned: 20101008
Reference: MLIST:[oss-security] 20101101 Re: Proftpd pre-authentication buffer overflow in Telnet code
Reference: URL: http://www.openwall.com/lists/oss-security/2010/11/01/4
Reference: CONFIRM: http://bugs.proftpd.org/show_bug.cgi?id=3519
Reference: CONFIRM: http://www.proftpd.org/docs/NEWS-1.3.3c
Reference: BID:44562
Reference: URL: http://www.securityfocus.com/bid/44562
Reference: SECUNIA:42052
Reference: URL: http://secunia.com/advisories/42052

Multiple directory traversal vulnerabilities in the mod_site_misc
module in ProFTPD before 1.3.3c allow remote authenticated users to
create directories, delete directories, create symlinks, and modify
file timestamps via directory traversal sequences in a (1) SITE MKDIR,
(2) SITE RMDIR, (3) SITE SYMLINK, or (4) SITE UTIME command.

Comment 1 Vincent Danen 2010-11-09 21:38:14 UTC
Created proftpd tracking bugs for this issue

Affects: fedora-all [bug 651608]

Comment 2 Paul Howarth 2011-06-29 12:05:29 UTC
I believe this one can be closed now.

Comment 3 Vincent Danen 2011-07-01 04:57:45 UTC
All current releases now have this fixed.

F-15 and Rawhide have 1.3.4rc2.

EL-4, EL-5, EL-6, F-13 and F-14 have 1.3.3e.


Note You need to log in before you can comment on or make changes to this bug.